*:*****************************************************************************
*:
*:        Program: D:\FOXPRO2\DEMOBOX.PRG
*:
*:         System: Box Push Buttons
*:         Author: Charles Alan Butler
*:      Copyright (c) 1992,1993, MIS Consulting
*:  Last modified: 12/31/92     11:42
*:
*:          Calls: BOXPUSH.PRG
*:
*:      Documented 12/31/92 at 11:44               FoxDoc  version 2.10e
*:*****************************************************************************
* Parameters
* 1 Row of the first button (numeric)
* 2 Col of the first button (numeric)
* 3 H=horizontal else vertical   '<not H>'=vertical
* 4 Text of buttons 'Ok;Cancel'  strip out special characters
* 5 Color	'W/B'
* 5 Size statement   'n,1,3'   (<ignore>,<Width>,<Spaces>)
* 6 Single boxes if .T. else celled box
SET COLOR TO W+/B,W+/R
CLEAR

* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *
* - - - - - - - - - - -  Horizontal Buttons - - - - - - - - - - - - - *
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *
DO boxpush WITH 2,2,'H','First;Second;Last','w/b','1,0,3',.T.
@ 2,2 GET A FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 1,0,3

DO boxpush WITH 5,2,'H','First;Second;Last','w/b','1,9,3',.T.
@ 5,2 GET A FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 1,9,3

DO boxpush WITH 8,2,'H','First;Second;Last','w/b','1,0,1',.T.
@ 8,2 GET A FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 1,0,1

DO boxpush WITH 11,2,'H','First;Second;Last','w/b','0,9,0',.F.
@ 11,2 GET X FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 0,9,0

DO boxpush WITH 2,40,'H','First;Second;Last','w/b','0,0,1',.F.
@ 2,40 GET X FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 0,0,1

DO boxpush WITH 5,40,'H','First;Second;Last','w/b','0,0,3',.F.
@ 5,40 GET X FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 0,0,3

DO boxpush WITH 8,40,'H','First;Second;Last','w/b','0,9,1',.F.
@ 8,40 GET X FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 0,9,1

DO boxpush WITH 11,40,'H','First;Second;Last','w/b','0,0,0',.F.
@ 11,40 GET X FUNCTION '*H First;Second;Last' DEFAULT 1 SIZE 0,0,0

* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *
* - - - - - - - - - - -  Vertical Buttons - - - - - - - - - - - - - - *
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *
vBoxRow = 15
DO boxpush WITH vBoxRow,2,'','First;Second;Last','w/b','1,0,1',.F.
@ vBoxRow,2 GET y FUNCTION '* First;Second;Last' DEFAULT 1 SIZE 1,0,1

DO boxpush WITH vBoxRow,15,'','First;Second;Last','w/b','1,9,1',.F.
@ vBoxRow,15 GET y FUNCTION '* First;Second;Last' DEFAULT 1 SIZE 1,9,1

DO boxpush WITH vBoxRow,28,'','First;Second;Last','w/b','1,0,3',.T.
@ vBoxRow,28 GET z FUNCTION '* First;Second;Last' DEFAULT 1 SIZE 1,0,3

DO boxpush WITH vBoxRow,42,'','First;Second;Last','w/b','1,9,1',.T.
@ vBoxRow,42 GET z FUNCTION '* First;Second;Last' DEFAULT 1 SIZE 1,9,1

DO boxpush WITH vBoxRow,56,'','First;Second;Last','w/b','1,9,0',.T.
@ vBoxRow,56 GET z FUNCTION '* First;Second;Last' DEFAULT 1 SIZE 1,9,0

DO boxpush WITH 22,48,'H','One Only','r+/b','',.T.
@ 22,48 GET zz FUNCTION '* One Only' DEFAULT 1
READ CYCLE


*: EOF: DEMOBOX.PRG
